CRYPTO_AHASH_SETKEY(9)

NAME
crypto_ahash_setkey - set key for cipher handle

SYNOPSIS

int crypto_ahash_setkey(struct crypto_ahash * tfm, const u8 * key, unsigned int keylen);

ARGUMENTS

tfm
    cipher handle

key
    buffer holding the key

keylen
    length of the key in bytes

DESCRIPTION

The caller provided key is set for the ahash cipher. The cipher handle must point to a keyed hash in order for this function to succeed.

RETURN

0 if the setting of the key was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT